MWAWParserState Class Reference

a class to define the parser state More...

`#include <MWAWParser.hxx>`

## Public Member Functions

| MWAWParserState (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| ~MWAWParserState ()
| destructor More...

## Public Attributes

int | m_version
| the actual version More...
MWAWInputStreamPtr | m_input
| the input More...
MWAWHeader * | m_header
| the header More...
MWAWRSRCParserPtr | m_rsrcParser
| the resource parser More...
MWAWFontConverterPtr | m_fontConverter
| the fonct converter More...
MWAWListManagerPtr | m_listManager
| the list manager More...
MWAWContentListenerPtr | m_listener
| the listener More...
libmwaw::DebugFile | m_asciiFile
| the debug file More...

## Private Member Functions

| MWAWParserState (MWAWParserState const &orig)
MWAWParserState & | operator= (MWAWParserState const &orig)

## Detailed Description

a class to define the parser state

## Constructor & Destructor Documentation

MWAWParserState::MWAWParserState | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

MWAWParserState::~MWAWParserState | ( |  | ) |

destructor

MWAWParserState::MWAWParserState | ( | MWAWParserState const & | orig | ) |

private

## Member Function Documentation

MWAWParserState& MWAWParserState::operator= | ( | MWAWParserState const & | orig | ) |

private

## Member Data Documentation

libmwaw::DebugFile MWAWParserState::m_asciiFile

the debug file

MWAWFontConverterPtr MWAWParserState::m_fontConverter

the fonct converter

Referenced by MWAWContentListener::_openSpan(), MWAWContentListener::insertCharacter(), and MWAWParserState().

MWAWHeader* MWAWParserState::m_header

the header

MWAWInputStreamPtr MWAWParserState::m_input

the input

MWAWContentListenerPtr MWAWParserState::m_listener

the listener

Referenced by ~MWAWParserState().

MWAWListManagerPtr MWAWParserState::m_listManager

the list manager

Referenced by MWAWContentListener::_changeList(), MWAWContentListener::_getListId(), and MWAWParserState().

MWAWRSRCParserPtr MWAWParserState::m_rsrcParser

the resource parser

int MWAWParserState::m_version

the actual version

Referenced by MWAWParserState().

The documentation for this class was generated from the following files:

- MWAWParser.hxx
- MWAWParser.cxx